Hi, nice to see you on my page. If you are looking for tools that will help you in the daily work of an architect, engineer or designer, you have come to the right place. Below are the latest entries. If you are looking for something specific, you can do so using the search engine or post categories. If you want to know more about me, please visit the "about me" tab. Have you used my solutions? You can return the favour by buy me a virtual coffee using the "Buy me a coffe" button
Hi, nice to see you on my page. If you are looking for tools that will help you in the daily work of an architect, engineer or designer, you have come to the right place. Below are the latest entries. If you are looking for something specific, you can do so using the search engine or post categories. If you want to know more about me, please visit the "about me" tab. Have you used my solutions? You can return the favour by buy me a virtual coffee using the "Buy me a coffe" button
Do you often search for a space by its name/number? You browse the entire model and lose precious time on searching number in schedules? Just my new function in the PYLAB addin.
Contents of the article “Revit spaces search app”:
The room search program will save you time looking for rooms. When can you use it?
You are looking for a specific room knowing its number
You are working on a new model and you do not know its plan
You coordinate your work based on screenshots
Instruction how to install my extension you can find here.
How program works
After selecting “this”Spaces search” function, the program will ask us for the room number. Enter the full room number here. Otherwise it won’t be found.
When we confirm the value entered by us, the space with the given number will be selected in the model. This will make it possible to locate it.
Film with program in action
Source code – Revit spaces search app
Below is the program code from the first version of the overlay. For more please visit mine GitHub, where new versions of the overlay will appear on a regular basis.
Python
Copyright(C)2023 Paweł Kińczyk## Importsimport sysfrom rpw import revit as rvfrom pyrevit import formsfrom pyrevit import revitfrom Autodesk.Revit.UI.Selection import*from Autodesk.Revit.DB import*## Revit docdoc = rv.docuidoc = rv.uidoc## Get name of room/spaceroom_name=forms.ask_for_string(prompt="Type room name which you search",title="Room number")## Get spaces in modelcollector=FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_MEPSpaces)## Pick roomselection = revit.get_selection()for i in collector:try:if i.Number == room_name: selection.set_to(i.Id)breakelse:passexceptExceptionas e:print("Error:")print(e)
Please report any irregularities in the operation of the program that occur during use on my social accounts or account GitHub.